## org.apache.mahout.common.lucene
Class TokenStreamIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<String>
              org.apache.mahout.common.lucene.TokenStreamIterator

All Implemented Interfaces:
  Iterator<String>

    public final class TokenStreamIterator

extends com.google.common.collect.AbstractIterator<String>

Provide an Iterator for the tokens in a TokenStream. Note, it is the responsibility of the instantiating class to properly consume the `TokenStream`. See the Lucene `TokenStream` documentation for more information.

Constructor Summary
`TokenStreamIterator(org.apache.lucene.analysis.TokenStream tokenStream)`

Method Summary
`protected String` `computeNext()`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenStreamIterator

    public TokenStreamIterator(org.apache.lucene.analysis.TokenStream tokenStream)

Method Detail

### computeNext

    protected String computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<String>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.